<section class="detail-dataset-preview-graph">
  <div [ngClass]="[jds.alert, jds.alertPrimary]">
    <div [ngClass]="[jds.d('flex')]">
      <div [ngClass]="[jds.alertIcon]">
        <jds-bi-icon
          [ngClass]="jds.me(16)"
          name="circle-info"
        />
      </div>
      <div>
        <div [ngClass]="jds.mb(8)">
          Ingin mengetahui bagaimana cara untuk menggunakan fitur preview
          grafik? Temukan caranya disini.
        </div>
        <a
          [ngClass]="[jds.alertLink, jds.fs(14)]"
          [routerLinkActive]="['active']"
          [routerLink]="['/help']"
          [queryParams]="{ topic: 'dataset' }"
          fragment="preview-dataset-in-graph-form"
          queryParamsHandling="merge"
        >
          Jelajahi selengkapnya
        </a>
      </div>
    </div>
  </div>

  <ng-container *ngIf="isLoading">
    <div
      class="wrapper-skeleton"
      *ngFor="let number of [100, 100]"
    >
      <ngx-skeleton-loader
        [theme]="{
          width: number + '%',
          'border-radius': '0',
          height: '20px',
          'margin-bottom': '10px'
        }"
      />
    </div>
  </ng-container>

  <ng-container *ngIf="!isLoading">
    <div [ngClass]="[jds.row]">
      <div [ngClass]="[jds.col(9)]">
        <div [ngClass]="[jds.card]">
          <div [ngClass]="[jds.cardBody, jds.pb(0)]">
            <canvas
              [datasets]="myChartData"
              [labels]="myChartLabels"
              [options]="myChartOptions"
              [legend]="myChartLegend"
              [type]="myChartType"
              baseChart
              height="450px"
            >
            </canvas>
          </div>
          <div [ngClass]="[jds.cardBody, jds.pt(0), jds.textAlign('center')]">
            Catatan: Untuk melakukan filter pada preview grafik, klik pada opsi
            legenda diatas.
          </div>
        </div>
      </div>
      <div [ngClass]="[jds.col(3)]">
        <div [ngClass]="[jds.card]">
          <div [ngClass]="[jds.cardHeader]">
            <h5 [ngClass]="[jds.cardTitle]">Sesuaikan tampilan grafik</h5>
          </div>
          <div [ngClass]="[jds.cardBody, className.filter]">
            <div [ngClass]="[jds.mb(16)]">
              <label [ngClass]="jds.formLabel">Gaya Grafik</label>
              <ng-select
                #graph
                [(ngModel)]="filter.graph"
                [searchable]="false"
                [clearable]="false"
                [items]="graphOption"
                bindValue="value"
                bindLabel="label"
                placeholder="Gaya Grafik"
              />
            </div>
            <div [ngClass]="[jds.mb(16)]">
              <label [ngClass]="jds.formLabel">Axis A</label>
              <ng-select
                #axis1
                [(ngModel)]="filter.axis1"
                [searchable]="false"
                [clearable]="false"
                [items]="axis1Option"
                bindValue="value"
                bindLabel="label"
                placeholder="Axis 1"
              />
            </div>
            <div [ngClass]="[jds.mb(16)]">
              <label [ngClass]="jds.formLabel">Axis B</label>
              <ng-select
                #axis2
                [(ngModel)]="filter.axis2"
                [searchable]="false"
                [clearable]="false"
                [items]="axis2Option"
                bindValue="value"
                bindLabel="label"
                placeholder="Axis 2"
              />
            </div>
            <div [ngClass]="[jds.mb(16)]">
              <div [ngClass]="[jds.d('flex'), jds.alignItems('center')]">
                <label [ngClass]="jds.formLabel">Grup Kolom</label>
                <span
                  [ngClass]="[jds.d('flex'), jds.ms(6)]"
                  [popperPlacement]="'top'"
                  [popperTrigger]="'hover'"
                  popper="Opsi ini berfungsi untuk mengelompokkan nilai yang ada di Axis A/Axis B."
                >
                  <jds-bi-icon name="circle-info" />
                </span>
              </div>
              <ng-select
                #group
                [(ngModel)]="filter.group"
                [searchable]="false"
                [clearable]="false"
                [items]="groupOption"
                bindValue="value"
                bindLabel="label"
                placeholder="Grup Kolom"
              />
            </div>
            <div [ngClass]="jds.d('grid')">
              <button
                [ngClass]="[
                  jds.button,
                  jds.buttonPrimary,
                  jds.d('flex'),
                  jds.justifyContent('center')
                ]"
                (click)="changeChart()"
                type="submit"
              >
                <jds-bi-icon
                  [ngClass]="jds.me(8)"
                  name="magnifying-glass"
                />
                <span>Pratinjau</span>
              </button>
            </div>
          </div>
        </div>
      </div>
    </div>
  </ng-container>
</section>
